if [ -n "$1" ]; then
	TAG=$1
else
	read REPOSITORY TAG ID CREATED SIZE < <(docker images | grep bvbnatsu)
fi

echo "Starting bvbnatsu/tsukuba2022:$TAG"

docker run --rm \
	-p 6080:80 \
	-p 2222:22 \
        -p 10940:10940 \
        -p 2368:2368/udp \
        -p 8308:8308/udp \
	-e RESOLUTION=1920x1080 --shm-size=512m \
	-e HOME=/home/ubuntu -e SHELL=/bin/bash \
	--entrypoint '/startup.sh' bvbnatsu/tsukuba2022:$TAG 
